Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.parseTreeConstruction
Class AParParsetreeConstructor.Value_IntValueParserRuleCall_0

    java.lang.Object
      org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
          org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RuleCallToken
              org.eclipse.amp.amf.parameters.parseTreeConstruction.AParParsetreeConstructor.Value_IntValueParserRuleCall_0

Enclosing class:
  AParParsetreeConstructor

    protected class AParParsetreeConstructor.Value_IntValueParserRuleCall_0

extends org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.RuleCallToken

Field Summary

Fields inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
`eObjectConsumer, lastRuleCallOrigin, next, node, tokensForSemanticChildren, transitionIndex`

Constructor Summary
`AParParsetreeConstructor.Value_IntValueParserRuleCall_0(org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken lastRuleCallOrigin, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken next, int transitionIndex, org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer eObjectConsumer)`

Method Summary
`org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken` | `createFollower(int index, org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)`
`org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken` | `createFollowerAfterReturn(org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken next, int actIndex, int index, org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)`
`org.eclipse.xtext.RuleCall` | `getGrammarElement()`
`org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer` | `tryConsume()`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
`checkForRecursion, dumpTokens, equalsOrReplacesNode, getEObject, getEObjectConsumer, getLastRuleCallOrigin, getNext, getNode, getTokensForSemanticChildren, getTransitionIndex, serialize, serializeInternal, setNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParParsetreeConstructor.Value_IntValueParserRuleCall_0

    public AParParsetreeConstructor.Value_IntValueParserRuleCall_0(org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken lastRuleCallOrigin,
                                                                   org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken next,
                                                                   int transitionIndex,
                                                                   org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer eObjectConsumer)

Method Detail

### getGrammarElement

    public org.eclipse.xtext.RuleCall getGrammarElement()

  Specified by:
    `getGrammarElement` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`

### createFollower

    public org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken createFollower(int index,
                                                                                                               org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)

  Overrides:
    `createFollower` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`

### tryConsume

    public org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer tryConsume()

  Overrides:
    `tryConsume` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`

### createFollowerAfterReturn

    public org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken createFollowerAfterReturn(org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken next,
                                                                                                                          int actIndex,
                                                                                                                          int index,
                                                                                                                          org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)

  Overrides:
    `createFollowerAfterReturn` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD